export const __esModule: boolean;
export const DefaultSpans: {
    period: number;
    samples: number;
}[];
export class CustomMetrics {
    static terminate(): Promise<void>;
    static flushAll(): Promise<void>;
    static freeInstanceByKey(key: any): void;
    static saveInstance(tags: any, metrics: any): void;
    constructor(options?: {});
    consistent: any;
    buffers: any;
    prefix: any;
    log: Log;
    buffer: any;
    expires: any;
    primaryKey: any;
    sortKey: any;
    type: any;
    client: any;
    table: any;
    options: {};
    owner: any;
    spans: any;
    ttl: any;
    source: any;
    pResolution: any;
    emit(namespace: any, metricName: any, value: any, dimensionsList?: {}[], options?: {}): Promise<{
        spans: {
            points: {
                count: any;
                sum: any;
            }[];
        }[];
        metric: any;
        namespace: any;
        owner: any;
        version: number;
    } | {
        dimensions: any;
        metric: any;
        namespace: any;
        owner: any;
        spans: any[];
        version: number;
    } | {
        dimensions: any;
        expires: any;
        metric: any;
        namespace: any;
        owner: any;
        seq: any;
        spans: any;
    }>;
    emitDimensions(namespace: any, metricName: any, point: any, dimensionsList: any, options: any): Promise<{
        spans: {
            points: {
                count: any;
                sum: any;
            }[];
        }[];
        metric: any;
        namespace: any;
        owner: any;
        version: number;
    } | {
        dimensions: any;
        metric: any;
        namespace: any;
        owner: any;
        spans: any[];
        version: number;
    } | {
        dimensions: any;
        expires: any;
        metric: any;
        namespace: any;
        owner: any;
        seq: any;
        spans: any;
    }>;
    bufferMetric(namespace: any, metricName: any, point: any, dimensions: any, options: any): Promise<{
        spans: {
            points: {
                count: any;
                sum: any;
            }[];
        }[];
        metric: any;
        namespace: any;
        owner: any;
        version: number;
    }>;
    emitDimensionedMetric(namespace: any, metricName: any, point: any, dimensions: any, options?: {}): Promise<{
        dimensions: any;
        metric: any;
        namespace: any;
        owner: any;
        spans: any[];
        version: number;
    } | {
        dimensions: any;
        expires: any;
        metric: any;
        namespace: any;
        owner: any;
        seq: any;
        spans: any;
    }>;
    flush(): Promise<void>;
    flushElt(elt: any): Promise<void>;
    getBufferKey(namespace: any, metricName: any, dimensions: any): string;
    query(namespace: any, metricName: any, dimensions: any, period: any, statistic: any, options?: {}): Promise<{
        dimensions: {};
        metric: any;
        namespace: any;
        owner: any;
        period: any;
        points: {
            value: number;
            timestamp: any;
            count: number;
        }[];
        samples: any;
    } | {
        dimensions: {};
        metric: any;
        namespace: any;
        period: any;
        points: {
            value: any;
            count: any;
            timestamp: number;
        }[];
        owner: any;
        samples: any;
    } | {
        dimensions: any;
        id: any;
        metric: any;
        namespace: any;
        period: any;
        points: any[];
        owner: any;
        samples: number;
    } | {
        dimensions: any;
        metric: any;
        namespace: any;
        period: any;
        points: any[];
        owner: any;
        samples: any;
        id?: undefined;
    }>;
    accumulateMetric(metric: any, span: any, statistic: any, owner: any, timestamp: any): {
        dimensions: {};
        metric: any;
        namespace: any;
        owner: any;
        period: any;
        points: {
            value: number;
            timestamp: any;
            count: number;
        }[];
        samples: any;
    };
    calculateSeries(metric: any, span: any, statistic: any, owner: any, timestamp: any): {
        dimensions: {};
        metric: any;
        namespace: any;
        period: any;
        points: {
            value: any;
            count: any;
            timestamp: number;
        }[];
        owner: any;
        samples: any;
    };
    makeDimensionString(dimensions: any): string;
    makeDimensionObject(dimensions: any): {};
    addValue(metric: any, timestamp: any, point: any, si: any, queryPeriod?: number): void;
    setPoint(span: any, index: any, add: any): void;
    getMetricList(namespace?: any, metric?: any, options?: {
        limit: number;
    }): Promise<{
        namespaces: string[];
    }>;
    initMetric(owner: any, namespace: any, name: any, dimensions: any, timestamp: any): {
        dimensions: any;
        metric: any;
        namespace: any;
        owner: any;
        spans: any[];
        version: number;
    };
    getMetric(owner: any, namespace: any, metric: any, dimensions: any, log: any): Promise<{
        dimensions: any;
        expires: any;
        metric: any;
        namespace: any;
        owner: any;
        seq: any;
        spans: any;
    }>;
    findMetrics(owner: any, namespace: any, metric: any, limit: any, startKey: any): Promise<{
        items: {
            dimensions: any;
            expires: any;
            metric: any;
            namespace: any;
            owner: any;
            seq: any;
            spans: any;
        }[];
        next: Record<string, any>;
        command: client_dynamodb_1.QueryCommand;
    }>;
    putMetric(item: any, options: any): Promise<boolean>;
    mapItemFromDB(data: any): {
        dimensions: any;
        expires: any;
        metric: any;
        namespace: any;
        owner: any;
        seq: any;
        spans: any;
    };
    mapItemToDB(item: any): {
        [x: number]: any;
        spans: any;
        seq: any;
        _source: any;
    };
    getTimestamp(span: any, timestamp: any): number;
    assert(c: any): void;
    info(message: any, context?: {}): void;
    error(message: any, context?: {}): void;
    trace(message: any, context?: {}): void;
    round(n: any): number;
    jitter(msecs: any): number;
    delay(time: any): Promise<any>;
}
declare class Log {
    constructor(dest: any);
    senselogs: any;
    logger: (chan: any, message: any, context: any) => void;
    verbose: boolean;
    error(message: any, context: any): void;
    info(message: any, context: any): void;
    trace(message: any, context: any): void;
    process(chan: any, message: any, context: any): void;
    defaultLogger(chan: any, message: any, context: any): void;
}
import client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
export {};
